AI 에이전트의 경우: 문서 인덱스는 https://www.mongodb.com/ko-kr/docs/llms.txt에서 사용할 수 있으며, 모든 페이지의 마크다운 버전은 어떤 URL 경로에 .md를 추가하여 사용할 수 있습니다.

설치의 키 관리자 ID를 확인합니다.

Retrieves the Key Manager ID of an Ops Manager installation. The Key Manager ID identifies the installation, including every instance in a high-availability setup. The Key Portal uses it to issue a license key for your installation. Ops Manager returns it in the holderId field and rejects a license key that MongoDB issued for a different Key Manager ID.

To access this resource, your API key must have the Global Owner role. The Global Owner role is the highest role in Ops Manager. Only users with this role can view and manage license keys.

Send a GET request to retrieve the Key Manager ID.

기본 URL: https://{OPSMANAGER-HOST}:{PORT}/api/public/v1.0

GET /admin/artifacts/identity

이 엔드포인트는 HTTP 요청 경로 매개변수를 사용하지 않습니다.

이 엔드포인트는 다음 쿼리 매개변수를 허용합니다.

이름
유형
필요성
설명
기본값

pretty

부울

옵션

응답 본문이 pretty-print 형식인지 여부를 나타내는 플래그입니다.

false

envelope

부울

옵션

응답을 엔벨로프에 래핑할지 여부를 나타내는 플래그입니다.

일부 API 클라이언트는 HTTP 응답 헤더 또는 상태 코드에 액세스할 수 없습니다. 이 문제를 해결하려면 쿼리에서 envelope=true를 설정합니다.

하나의 결과를 반환하는 엔드포인트의 경우 응답 본문에는 다음이 포함됩니다.

  • status: HTTP 응답 코드

  • content예상되는 응답 본문

false

이 엔드포인트는 HTTP 요청 본문 매개변수를 사용하지 않습니다.

응답에는 다음 필드가 포함되어 있습니다.

필드
유형
설명

holderId

문자열

Ops Manager 설치의 키 관리자 ID입니다.

Use curl to send a GET request to the /admin/artifacts/identity endpoint:

curl --user "{PUBLIC-KEY}:{PRIVATE-KEY}" --digest \ --header "Accept: application/json" \ --include \ --request GET \ "https://<OpsManagerHost>:<Port>/api/public/v1.0/admin/artifacts/identity?pretty=true"

다음 예시는 요청이 성공적으로 처리되었을 때의 응답 헤더와 응답 본문을 보여줍니다.

다음 헤더는 권한 없음 응답과 권한 성공 응답을 보여줍니다.

HTTP/1.1 401 UnauthorizedContent-Type: application/json;charset=ISO-8859-1Date: {dateInUnixFormat}WWW-Authenticate: Digest realm="MMS Public API", domain="", nonce="{nonce}", algorithm=MD5, op="auth", stale=falseContent-Length: {requestLengthInBytes}Connection: keep-alive
HTTP/1.1 200 OKVary: Accept-EncodingContent-Type: application/jsonStrict-Transport-Security: max-age=300Date: {dateInUnixFormat}Connection: keep-aliveContent-Length: {requestLengthInBytes}X-MongoDB-Service-Version: gitHash={gitHash}; versionString={ApplicationVersion}

다음 예시는 응답 본문을 보여줍니다.

{ "holderId": "{KEY-MANAGER-ID}"}
이 페이지 평가하기